getpassword(3)

NAME
getpassword() - get a password

SYNOPSIS
#include "fwfunc.h"

char* getpassword(const char *prompt)

DESCRIPTION
The getpassword function displays a prompt to stderr and reads in a password from the standard input.

The password may be up to _PASSWORD_LEN (system default) characters in length. Any additional characters and the terminating newline character are discarded.

getpassword turns off character echoing while reading the password.

RETURN VALUES
The getpassword function returns a pointer to the null terminated password.

SEE ALSO
getpass(3)

HISTORY
present in fwtk since v2